RunApp::Template(3pm)

NAME
RunApp::Template - Base class for RunApp template service

SYNOPSIS
  my $cron = RunApp::Template->new(
    file => "file to be generated",
    source => "template file",
    .. other params, passed to template ..
  );

DESCRIPTION
The class allows inherited classes to use Template, and will use the DATA section of the subclass as default template if not otherwise specified.

AUTHORS
Chia-liang Kao <clkao@clkao.org>

Refactored from works by Leon Brocard <acme@astray.com> and Tom Insam <tinsam@fotango.com>.

COPYRIGHT
Copyright (C) 2002-5, Fotango Ltd.

This module is free software; you can redistribute it or modify it under the same terms as Perl itself.